For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Talk to usGet started
OverviewAPI Reference
OverviewAPI Reference
  • API Reference
        • GETGet Account
        • GETGet Employees
        • GETGet Invoices
        • GETGet Policies
        • POSTCreate Employee
        • PATCHEdit Employee
        • DELTerminate Employee
Logo
Talk to usGet started
API ReferenceIntegrationsAgility

Edit Employee

PATCH
https://api.trykeet.com/v1/agility/employees/:employeeId
PATCH
/v1/agility/employees/:employeeId
$curl -X PATCH https://api.trykeet.com/v1/agility/employees/employeeId \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "effectiveDateOfChange": "2023-01-15"
>}'
1{
2 "status": "status"
3}
Edit an employee
Was this page helpful?
Previous

Terminate Employee

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

employeeIdstringRequired

Headers

X-Account-TokenstringRequired
The account token that is associated with the end user linked to this account

Request

This endpoint expects an object.
effectiveDateOfChangedateRequired
firstNamestringOptional
lastNamestringOptional
earningsdoubleOptional
workHoursdoubleOptional
earningsPeriodenumOptional
Allowed values:

Response

This endpoint returns an object.
statusstring

Errors

400
Bad Request Error
401
Un Authorized Error
404
Not Found Error
500
Internal Server Error
500
Not Implemented Error